Управляем чем угодно откуда угодно

Не встает GNU ARM Plug-in на Eclipse под Win7 x64.

Обсуждение клиентского ПО для доступа к виртурилке, управления и мониторинга

Не встает GNU ARM Plug-in на Eclipse под Win7 x64.

Сообщение den1s » 27 ноя 2014, 20:26

Здравствуйте,

пытаюсь поставить GNU ARM Plug-in на Eclipse под Win7 x64.

Но при попытке установить GNU ARM Eclipse plug-in у меня значительные расхождения со статьей из wiki

Во первых вместо "CDT GNU Cross Development Tools" и "The GNU ARM Eclipse Plug-in is an Eclipse CDT Manged Build Extension" мне доспупны для скачивания только GNU ARM C/C++ Cross development tools

И второе, более важное - ни один из компонентов не ставится примерно вот по такой причине:
Cannot complete the install because one or more required items could not be found.
Software being installed: GNU ARM C/C++ Cross Compiler 1.11.1.201411261616 (ilg.gnuarmeclipse.managedbuild.cross.feature.group 1.11.1.201411261616)
Missing requirement: GNU ARM C/C++ Core 1.1.1.201411261616 (ilg.gnuarmeclipse.core 1.1.1.201411261616) requires 'bundle org.eclipse.ui.workbench 3.105.0' but it could not be found
Cannot satisfy dependency:
From: GNU ARM C/C++ Cross Compiler 1.11.1.201411261616 (ilg.gnuarmeclipse.managedbuild.cross 1.11.1.201411261616)
To: bundle ilg.gnuarmeclipse.core 0.0.0
Cannot satisfy dependency:
From: GNU ARM C/C++ Cross Compiler 1.11.1.201411261616 (ilg.gnuarmeclipse.managedbuild.cross.feature.group 1.11.1.201411261616)
To: ilg.gnuarmeclipse.managedbuild.cross [1.11.1.201411261616]


Видать, что-то поменялось со времен написания статьи.
Может кто сталкивался с таким или просто подскажет что попробовать сделать.
Гуглить пробовал.
Пробовал скачать архив с http://gnuarmeclipse.sourceforge.net/updates и установить его локально. Результат тот же.
den1s
 
Сообщения: 4
Зарегистрирован: 27 ноя 2014, 20:15

Re: Не встает GNU ARM Plug-in на Eclipse под Win7 x64.

Сообщение Footniko » 29 ноя 2014, 00:00

Была подобная проблема, когда еще на Win7 работал. Пришлось немного повозится. Проблема в том, что нужно использовать старый ARM плагин. А по ссылке всегда берется самый новый. Вам нужно вручную скачать версию 0.5.5. Также нужно использовать более старую версию еклипса, иначе он не встанет. У меня это Eclipse IDE for C/C++ Developers (Indigo Service Release 2). В итоге у меня все встало, но не работает отладка. И, кажется, еще с настройкой были некоторые проблемы. Если дойдете до настроек, пишите...
Ссылки, которые могут пригодится:
Раз
Два
Три

А вообще, переходите на линукс, там все гораздо проще:)
Footniko
 
Сообщения: 28
Зарегистрирован: 15 июл 2014, 14:12

Re: Не встает GNU ARM Plug-in на Eclipse под Win7 x64.

Сообщение den1s » 29 ноя 2014, 13:40

Footniko писал(а):Была подобная проблема, когда еще на Win7 работал. Пришлось немного повозится. Проблема в том, что нужно использовать старый ARM плагин. А по ссылке всегда берется самый новый. Вам нужно вручную скачать версию 0.5.5. Также нужно использовать более старую версию еклипса, иначе он не встанет. У меня это Eclipse IDE for C/C++ Developers (Indigo Service Release 2). В итоге у меня все встало, но не работает отладка. И, кажется, еще с настройкой были некоторые проблемы. Если дойдете до настроек, пишите...
Ссылки, которые могут пригодится:
Раз
Два
Три

А вообще, переходите на линукс, там все гораздо проще:)


Так уже и сделал. Но спасибо.
Думаю с виндой возиться уже не буду. Тему можно закрывать.
den1s
 
Сообщения: 4
Зарегистрирован: 27 ноя 2014, 20:15


Вернуться в Софт на управляющих устройствах (iOS, Android, Win/Mac/Linux)

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1

cron